Bug 211350 - Inappropriate message "Detected initial rpm install"
Inappropriate message "Detected initial rpm install"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kexec-tools (Show other bugs)
5.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-18 15:42 EDT by Vivek Goyal
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: 5.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-13 12:15:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Vivek Goyal 2006-10-18 15:42:22 EDT
Description of problem:
I built a kernel of my own and using that. I did some changes to kernel and did
make install. I tried restarting kdump serivce after that and I get following
messsage.

Detected /etc/kdump.conf or /boot/vmlinuz-2.6.18-prep-2729 change
Rebuilding /boot/initrd-2.6.18-prep-2729kdump.img
Detected initial rpm install
Rebuilding /boot/initrd-2.6.18-prep-2729kdump.img


Version-Release number of selected component (if applicable):
2.6.18-1.2729.el5
kexec-tools-1.101-99.el5

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
I get the following message which is not appropriate as I did not do any 
fresh rpm install.

Detected initial rpm install
Rebuilding /boot/initrd-2.6.18-prep-2729kdump.img

Expected results:
No such message

Additional info:
Comment 1 Vivek Goyal 2006-10-18 15:47:03 EDT
More observations:
------------------

- I did a make install of my kernel and not "make modules_install" still i get
  message.

"detected initial rpm install"

- I edited only /etc/sysconfig/kdump and did service kdump restart and got

"detected initial rpm install"
Comment 2 Neil Horman 2006-10-19 13:44:59 EDT
It just occured to me, vivek, that that entire clause at the bottom of
check_config was there to force an initramfs build during the rpm install, which
I don't really think we need any more given that our %post script on the install
marks the kdump service to be started, which in turn will build the initramfs
for us. I'm just going to remove that entire clause.
Comment 3 Neil Horman 2006-10-19 13:58:54 EDT
fixed in -100.el5.  Thanks!
Comment 4 Jay Turner 2007-02-13 12:15:14 EST
kexec-tools-1.101-164.el5 included in 20070208.0.

Note You need to log in before you can comment on or make changes to this bug.